const prefix = '/api/admin'

export default {
  image: {
    upload: {
      url: `${prefix}/antd/image`,
      method: 'POST',
    }
  },
  user: {
    current: {
      method: 'GET',
      url: `${prefix}/taUser/current`,
    },
    signin: {
      method: 'POST',
      url: `${prefix}/taUser/signin`,
    },
  },
  building: {
    getList: {
      method: 'GET',
      url: `${prefix}/buildinglist`,
    },
    buildingApartment: {
      method: 'GET',
      url: `${prefix}/buildingApartment/buildingId/id`,
    },
    buildingApartmentGetById: {
      method: 'GET',
      url: `${prefix}/buildingApartment/id`,
    },
    buildingApartmentUpdate: {
      method: 'PUT',
      url: `${prefix}/buildingApartment/update`,
    },
    buildingApartmentAdd: {
      method: 'POST',
      url: `${prefix}/buildingApartment/add`,
    },
    buildingApartmentDelete: {
      method: 'DELETE',
      url: `${prefix}/apartment/deleted/id`,
    },
  },
  buildingType: {
    getList: {
      method: 'GET',
      url: `${prefix}/tdBuildingType`,
    },
    delete: {
      method: 'DELETE',
      url: `${prefix}/tdBuildingType/id`,
    },
    update: {
      method: 'PUT',
      url: `${prefix}/tdBuildingType/id`,
    },
    add: {
      method: 'POST',
      url: `${prefix}/tdBuildingType`,
    },
    getById: {
      method: 'GET',
      url: `${prefix}/tdBuildingType/id`,
    },
  },
  news: {
    getList: {
      method: 'GET',
      url: `${prefix}/taNews`,
    },
  },
  customer: {
    drift: {
      method: 'GET',
      url: `${prefix}/customer/recommend/drift`,
    },
    report: {
      method: 'GET',
      url: `${prefix}/customer/recommend/report`,
    },
    recommender: {
      method: 'GET',
      url: `${prefix}/customer/recommend/recommender`,
    },
    auto: {
      method: 'PUT',
      url: `${prefix}/customer/recommend/verify/id`,
    },
    recommendGetById: {
      method: 'GET',
      url: `${prefix}/customer/recommend/getById/id`,
    },
    agents: {
      method: 'GET',
      url: `${prefix}/customer/agents`,
    },
    customerRecommend: {
      method: 'GET',
      url: `${prefix}/customer/recommend`,
    },
    consultant: {
      method: 'GET',
      url: `${prefix}/consultant`,
    },
    recommendEdit: {
      method: 'PUT',
      url: `${prefix}/customer/recommend/edit/id`,
    },
    taPointsRecords: {
      method: 'GET',
      url: `${prefix}/mine/taPointsRecords/id`,
    },
    recommend: {
      method: 'GET',
      url: `${prefix}/customer/recommend/id`,
    },
    InviteClientsList: {
      method: 'GET',
      url: `${prefix}/channel/InviteClientsList`,
    },
    CustomerRecommendGet: {
      method: 'GET',
      url: `${prefix}/customer/recommend/get/id`,
    },
  },
  indexEcharts: {
    userResource: {
      method: 'GET',
      url: `${prefix}/selectUserResource`
    },

  }
  // indexEcharts:{
  //   list:{
  //     method:'get',
  //     url: `${commPrefix}/indexStatistical`
  //   },
  //   userResource: {
  //       method:'get',
  //       url: `${commPrefix}/selectUserResource`
  //   },
  //   userConversion: {
  //     method:'get',
  //     url: `${commPrefix}/selectConversion`
  //   },
  //   userActive: {
  //     method:'get',
  //     url: `${commPrefix}/selectActiveUserCount`
  //   },
  //   newUser: {
  //     method:'get',
  //     url: `${commPrefix}/selectNewsUserCount`
  //   },
  //   userBehavior: {
  //     summary: {
  //       method:'get',
  //       url: `${commPrefix}/selectUserBehavior`
  //     },
  //     profile: {
  //       method:'get',
  //       url: `${commPrefix}/selectEventAll`
  //     },
  //   },
  //   intentionUsers: {
  //     method:'get',
  //     url: `${commPrefix}/selectIntentionUser`
  //   },
  //   userSex: {
  //     method:'get',
  //     url: `${commPrefix}/selectSexUser`
  //   },
  //   userCity: {
  //     method:'get',
  //     url: `${commPrefix}/selectCityUser`
  //   },
  // },
}
